Skip to main content
PATCH
/
v1
/
organizations
/
{organization_id}
/
projects
/
{project_id}
/
compute
/
vpcs
/
{id}
[VPCs] Partially update Virtual Private Cloud
curl --request PATCH \
  --url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/vpcs/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "cidr_block": "<string>",
  "location_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "is_active": true
}
'

Documentation Index

Fetch the complete documentation index at: https://help.onetsolutions.net/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).

Path Parameters

id
string
required

Unique identifier of the Virtual Private Cloud.

organization_id
string
required

Unique identifier of the organization that owns the resource.

project_id
string
required

Unique identifier of the project containing the resource.

Body

application/json
name
string
Maximum string length: 255
cidr_block
string

Ex: 10.0.0.0/16

Maximum string length: 50
location_id
string<uuid>
write-only
is_active
boolean

Response

VPC updated successfully